Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util.ajax
Class JSON.Literal

    java.lang.Object
      org.eclipse.jetty.util.ajax.JSON.Literal

All Implemented Interfaces:
  JSON.Generator

Enclosing class:
  JSON

    public static class JSON.Literal

extends java.lang.Object
implements JSON.Generator

A Literal JSON generator A utility instance of `JSON.Generator` that holds a pre-generated string on JSON text.

Constructor Summary
`JSON.Literal(java.lang.String json)` Construct a literal JSON instance for use by `JSON.toString(Object)`.

Method Summary
`void` | `addJSON(java.lang.Appendable buffer)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSON.Literal

    public JSON.Literal(java.lang.String json)

  Construct a literal JSON instance for use by `JSON.toString(Object)`. If `Log.isDebugEnabled()` is true, the JSON will be parsed to check validity

  Parameters:
    `json` - A literal JSON string.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### addJSON

    public void addJSON(java.lang.Appendable buffer)

  Specified by:
    `addJSON` in interface `JSON.Generator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.